jQuery(document).ready(function()
{
  jQuery('#kippis_options-menubar a:first').addClass('kippis_options-active');
  jQuery('#kippis_options-content .kippis_options-section:first').addClass('kippis_options-active');
  jQuery('#kippis_options-menubar a').click(function(e){
    e.preventDefault();
    var section_id = jQuery(this).attr('href');
    jQuery('#kippis_options-menubar .kippis_options-active').removeClass('kippis_options-active');
    jQuery(this).addClass('kippis_options-active');
    jQuery('#kippis_options-content .kippis_options-section' + section_id).addClass('kippis_options-active').siblings('.kippis_options-active').removeClass('kippis_options-active');
  });
  jQuery('.kippis_color_picker').each(function(){
    var $this = jQuery(this);
    id = $this.attr('rel');
    $this.farbtastic('#' + id);
  });
  jQuery('input').focus(function(){
    var $this = jQuery(this);
    if ($this.hasClass('kippis_color_field')) {
      if ($this.val() == '') $this.val('#');
      var $parent = jQuery($this).parent();
      jQuery($parent).siblings().show();
    }
  });
  jQuery('input').focusout(function(){
    var $this = jQuery(this);
    if ($this.hasClass('kippis_color_field')) {
      var $parent = jQuery($this).parent();
      jQuery($parent).siblings().hide();
    }
  });
  //-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-//
  var KippisPickFont_input_id = '';
  jQuery.fn.KippisPickFont = function(a) {
    var fonts = new Array('&nbsp;'
                         ,'Arial,Helvetica,sans-serif'
                         ,'Comic Sans MS,cursive'
                         ,'Courier New,Courier,monospace'
                         ,'Georgia,serif'
                         ,'Impact,Charcoal,sans-serif'
                         ,'Lucida Console,Monaco,monospace'
                         ,'Lucida Sans Unicode,Lucida Grande,sans-serif'
                         ,'Palatino Linotype,Book Antiqua,Palatino,serif'
                         ,'Tahoma,Geneva,sans-serif'
                         ,'Times New Roman,Times,serif'
                         ,'Trebuchet MS,Helvetica,sans-serif'
                         ,'Verdana,Geneva,sans-serif'
                         );
    var onDone = a || function() {};
    jQuery("body").click(function () {
      jQuery(".kippis_fontlist").hide();
    });
    return this.each(function() {
      // Get input field
      var sel = this;
      // Add a ul to hold fonts
      var ul = jQuery('<ul class="kippis_fontlist"></ul>');
      jQuery('body').prepend(ul);
      jQuery(ul).hide();
      jQuery.each(fonts,function(i,item) {
        jQuery(ul).append('<li><a href="#" class="font_' + i + '" style="font-family: ' + item + '">' + item.split(',')[0] + '</a></li>');
      });
      // Prevent real select from working
      jQuery(sel).click(function(ev) {
        ev.preventDefault();
        // Show font list
        jQuery(ul).show();
        // Position font list
        jQuery(ul).css({top:jQuery(sel).offset().top + jQuery(sel).height() + 4,left:jQuery(sel).offset().left});
        // Blur field
        jQuery(this).blur();
        KippisPickFont_input_id = jQuery(this).attr('id');
        return false;
      });
      jQuery(ul).find('a').click(function(ev) {
        ev.stopPropagation();
        var font = fonts[jQuery(this).attr('class').split('_')[1]];
        jQuery(sel).val(font);
        jQuery(ul).hide();
        onDone();
        return false;
      });
    });
  }
  jQuery('input.font-picker').KippisPickFont(function() {
    var arr = KippisPickFont_input_id.split('_');
    var the_font = jQuery('#' + KippisPickFont_input_id).val();
    if (the_font == '&nbsp;') {
      the_font = '';
      jQuery('#' + KippisPickFont_input_id).val(the_font);
    }
    //alert('#' + KippisPickFont_input_id + '\n' + '#' + arr[0] + '_' + arr[1] + '_display_colors');
    jQuery('#' + arr[0] + '_' + arr[1] + '_display_colors').css('font-family',the_font);
  });
  jQuery('#kippis_advanced_options_enable').change(function(){
    kippis_advanced_options_showhide();
  });
  kippis_advanced_options_showhide();
});  // jQuery(document).ready(function()

function kippis_advanced_options_showhide()
{
  var checked = jQuery('#kippis_advanced_options_enable').attr('checked') == 'checked';
  jQuery('.kippis_advanced_option').each(function(ix,val){
    if (checked) jQuery(val).show();
    else         jQuery(val).hide();
  });
}

function kippis_checkbox_css(id,id_target,css,style_on,style_off)
{
  if (jQuery('#' + id).attr('checked')) jQuery('#' + id_target).css(css,style_on );
  else                                  jQuery('#' + id_target).css(css,style_off);
}

